# CD-Code Web front-end

## Modules in CD-Code Web front-end
1. ```web/```: [Vue.js (v2.0)](https://v2.vuejs.org/) based web front-end
2. ```cms/```: [Strapi](https://strapi.io/) based CMS module

```web``` module provides the user interface for condensate and protein databases stored in MongoDB through [the server API](dd-code-team/dd-code-api), which are carefully curated by contributors. 

```cms``` module contains all the necessary dependencies to collect all the contributions and coordinate the database curation based on roles (public, contributor, maintainer, administrator).

## README.md in the modules
1. ```web/```: Follow the instructions in [web/README.md](web/README.md)
2. ```cms/```: Read [cms/README.md](cms/README.md)

### Considerations for development and production phases
There are *develop* and *master* branches in the repository in order to reduce the impact on the production service which is running under [https://cd-code.org](https://cd-code.org). After checking the *develop* instance thoroughly, the production version is released with merging *develop* branch into *master*.