# CD-Code CMS application

### Setup Database

- Install PostgreSQL
- Create ```.env``` file
- Add the below environment variables:
    ```
    DATABASE_USERNAME={id}
    DATABASE_PASSWORD={password}
    ```

### Install and run Strapi

- Install dependencies for Strapi with ```npm install```
- Build with running ```npm run build```
- Run Strapi in development mode with ```npm run develop``` for designing models
- Check all the ```collections``` and ```roles``` in the cms instance
- Run Strapi with ```npm run start``` for the production use

### Directory Structure
```
|-- config                      # All the config data are overriden by .env file
|-- database                    # Strapi database customization folder
|-- public                      # Root folder for the web service
|-- src                         # Source files
    |-- admin                   # Admin releated folder
    |-- api                     # Contollers for the database schemes
    |-- extensions              # Extensions for the basic database models
|-- .env                        # Env varibales to setup for database
|-- README.md                   # This file
```
